wxmathplot compile to static library errors

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
Post Reply
siXEs&niNeS
In need of some credit
In need of some credit
Posts: 3
Joined: Tue Nov 29, 2016 2:16 am

wxmathplot compile to static library errors

Post by siXEs&niNeS » Tue Nov 29, 2016 3:20 am

Hi folks;
I am using wxWidgets 3.1.0 C::B 16.01 gcc 4.9.2 wxmathplot 0.1.2 on Win10
wxwidgets: BUILD=release SHARED=0 UNICODE=1 MONOLITHIC=1
Problem is I cant seem to compile wxmathplot to a static library (.a)

ERRORS:
C:\CodeBlocks\wxWidgets-3.1.0\include\wx\string.h|303|error: 'wxString::wxString(int)' is private|
C:\CodeBlocks\wxWidgets-3.1.0\include\wx\log.h|1254|error: expected id-expression before 'for'|

and a lot of logcheck errors:
C:\CodeBlocks\wxWidgets-3.1.0\include\wx\log.h|1260|error: 'wxlogcheck2610' was not declared in this scope|

and many of type:
||Error: cov(0,0) must be non-negative")); return; }|

cheers,

siXEs&niNeS
In need of some credit
In need of some credit
Posts: 3
Joined: Tue Nov 29, 2016 2:16 am

Re: wxmathplot compile to static library errors

Post by siXEs&niNeS » Sun Dec 04, 2016 12:03 am

well, I gave up on wxmathplot. Ended up with gnuplot for immediate answers. Works great. For my own builds I am now running dislin, that coupled with freeglut gives some spectacular looking results.
set.JPG
set2.JPG

Post Reply